********************************************************************
**                                                                **
**               IBM-PC Installation of DISLIN                    **
**                                                                **
**  Contents:  1.)  Introduction                                  **
**             2.)  Installation of DISLIN                        **
**                                                                **
**  Date   :   15.04.2003                                         **
**  Version:   8.1     /  Windows, G77/GCC-MINGW32                **
**  Author :   Helmut Michels, Tel.: +49 5556 979 334             ** 
**             MPI fuer Aeronomie, Max-Planck-Str. 2,             **
**             D-37191 Katlenburg-Lindau, Germany                 **
**             E-mail: michels@linmpi.mpg.de                      **
********************************************************************

1.)  Introduction

     This file describes the  installation  of the  data  plotting
     software DISLIN on IBM-PCs  for  the operating system Windows
     9x/NT/2000/XP and the Mingw32 compilers GCC and G77.

     Note: 

       - This version of DISLIN is free software.  You can copy  and
         redistribute it. 


2.)  Installation of DISLIN

     The  DISLIN version for the Mingw32 compilers  GCC and G77 is
     distributed in the zipped file  dl_81_mg.zip.  An utility for
     unpacking the DISLIN files is available from the same locati-
     on where you have downloaded dl_81_mg.zip, or from the DISLIN
     CD-ROM. 

     To install DISLIN, make the following steps:

  a) Create a temporary directory and copy the files dl_81_mg.zip
     and unzip.exe to it:

     for example:   md  c:\temp
                    cd  c:\temp
                    copy e:\dislin\windows\unzip.exe    *.*
                    copy e:\dislin\windows\dl_81_mg.zip *.*

  b) Extract the DISLIN files with the command:

                 unzip  -o dl_81_mg.zip

  c) Run the setup program with the command

                  setup

     -  Choose OK

     -  Give the Installation Directory where  DISLIN  should be in-
        stalled. The default directory is C:\DISLIN.

  d) Reconfigure the System

     Add the DISLIN\WIN directory to the PATH environment in the 
     file AUTOEXEC.BAT

     for example:  PATH C:\BIN;C:\DISLIN\WIN

     Add the DISLIN environment variable DISLIN to the autoexec.bat
     file:

     for example:  SET DISLIN=c:\dislin   
   
  e) Now you can compile,  link and run the example programs in the
     DISLIN subdirectory examples with the commands

                    clink  -a  exa_c      (gcc) 
                    dlink  -a  exa_f77    (g77)
     and
                    clink  -a  map_c      (gcc) 
                    dlink  -a  map_f77    (g77)

     Note: Normally,  the linker  of GCC creates  a Windows  console 
           program.  This means  that a console is created automati-
           cally  by the  operating system  for  using  standard I/O 
           functions such as printf and scanf.  You can suppress the
           console  window by using the switch  '-mwindows'  in gcc.
           In this case,  you can manage I/O with  the DISLIN widget
           routines  and you  should  use  the statement
           'winapp ("windows");' before 'disini',  which  means that  
           DISLIN warnings are written to a file and that the proto-
           col in disfin is displayed in a widget.
